I915_GEM_TRACK_FB(9)

NAME
i915_gem_track_fb - update frontbuffer tracking

SYNOPSIS

void i915_gem_track_fb(struct drm_i915_gem_object * old, struct drm_i915_gem_object * new, unsigned frontbuffer_bits);

ARGUMENTS

old
    -- undescribed --

new
    -- undescribed --

frontbuffer_bits
    -- undescribed --

OLD

current GEM buffer for the frontbuffer slots

NEW

new GEM buffer for the frontbuffer slots

FRONTBUFFER_BITS

bitmask of frontbuffer slots

This updates the frontbuffer tracking bits frontbuffer_bits by clearing them from old and setting them in new. Both old and new can be NULL.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT